GPIOGET(1)

NAME
gpioget - libgpiod command-line utility

SYNOPSIS
gpioget [OPTIONS] <line>...

DESCRIPTION
Read values of GPIO lines.

Lines are specified by name, or optionally by offset if the chip option is provided.

OPTIONS

-a, --as-is
    leave the line direction unchanged, not forced to input

-b, --bias <bias>
    specify the line bias Possible values: 'pull-down', 'pull-up', 'disabled'. (default is to leave bias unchanged)

--by-name
    treat lines as names even if they would parse as an offset

-c, --chip <chip>
    restrict scope to a particular chip

-C, --consumer <name> consumer name applied to requested lines (default is 'gpioget')

-h, --help
    display this help and exit

-l, --active-low
    treat the line as active low

-p, --hold-period <period>
    wait between requesting the lines and reading the values

--numeric
    display line values as '0' (inactive) or '1' (active)

-s, --strict
    abort if requested line names are not unique

--unquoted
    don't quote line names

-v, --version
    output version information and exit

  Chips:

    A GPIO chip may be identified by number, name, or path. e.g. '0', 'gpiochip0', and '/dev/gpiochip0' all refer to the same chip.

  Periods:

    Periods are taken as milliseconds unless units are specified. e.g. 10us. Supported units are 'm', 's', 'ms', and 'us' for minutes, seconds, milliseconds and microseconds respectively.

AUTHOR
Bartosz Golaszewski <brgl@bgdev.pl>

REPORTING BUGS
Report bugs to:
    Bartosz Golaszewski <brgl@bgdev.pl>
    linux-gpio <linux-gpio@vger.kernel.org>

COPYRIGHT
Copyright © 2017-2023 Bartosz Golaszewski License: GPL-2.0-or-later
This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.